Index: src/client/c/hu/varadiistvan/xplra/XPlane.cc
===================================================================
--- src/client/c/hu/varadiistvan/xplra/XPlane.cc	(revision 87)
+++ src/client/c/hu/varadiistvan/xplra/XPlane.cc	(revision 92)
@@ -57,5 +57,5 @@
 using xplra::Protocol;
 
-using std::auto_ptr;
+using std::unique_ptr;
 using std::string;
 using std::min;
@@ -149,6 +149,6 @@
     if (socket!=0) return;
 
-    auto_ptr<LocalClientSocket> clientSocket(new LocalClientSocket("xplra",
-                                                                   &waiter));
+    unique_ptr<LocalClientSocket> clientSocket(new LocalClientSocket("xplra",
+                                                                     &waiter));
     LocalConnector& connector = clientSocket->getConnector();
 
@@ -342,5 +342,5 @@
     length = getArray(name, Protocol::TYPE_FLOAT_ARRAY, -1, offset);
 
-    auto_ptr<float> data(new float[length]);
+    unique_ptr<float[]> data(new float[length]);
     if (!stream->read(data.get(), length*sizeof(float))) checkStream();
     return data.release();
@@ -366,5 +366,5 @@
     length = getArray(name, Protocol::TYPE_INT_ARRAY, -1, offset);
 
-    auto_ptr<int32_t> data(new int32_t[length]);
+    unique_ptr<int32_t[]> data(new int32_t[length]);
     if (!stream->read(data.get(), length*sizeof(int32_t))) checkStream();
     return data.release();
@@ -390,5 +390,5 @@
     length = getArray(name, Protocol::TYPE_BYTE_ARRAY, -1, offset);
 
-    auto_ptr<uint8_t> data(new uint8_t[length]);
+    unique_ptr<uint8_t[]> data(new uint8_t[length]);
     if (!stream->read(data.get(), length*sizeof(uint8_t))) checkStream();
     return data.release();
@@ -400,5 +400,5 @@
 {
     size_t length = 0;
-    auto_ptr<uint8_t> data(getByteArray(name, length, offset));
+    unique_ptr<uint8_t[]> data(getByteArray(name, length, offset));
     return string(reinterpret_cast<char*>(data.get()));
 }
@@ -498,5 +498,5 @@
                      length, offset);
     } else {
-        auto_ptr<uint8_t> buffer(new uint8_t[length]);
+        unique_ptr<uint8_t[]> buffer(new uint8_t[length]);
         memcpy(buffer.get(), value, valueLength);
         memset(buffer.get() + valueLength, 0, length - valueLength);
Index: src/client/c/hu/varadiistvan/xplra/xplra.cc
===================================================================
--- src/client/c/hu/varadiistvan/xplra/xplra.cc	(revision 87)
+++ src/client/c/hu/varadiistvan/xplra/xplra.cc	(revision 92)
@@ -59,5 +59,5 @@
 using std::vector;
 using std::set;
-using std::auto_ptr;
+using std::unique_ptr;
 
 //------------------------------------------------------------------------------
@@ -488,5 +488,5 @@
 {
     try {
-        auto_ptr<Connection> connection(new Connection());
+        unique_ptr<Connection> connection(new Connection());
         connection->connect();
         return ConnectionSlot::addValue(connection.release());
@@ -498,7 +498,7 @@
 //------------------------------------------------------------------------------
 
-extern "C"int xplra_get_versions(int connectionID,
-                                 int* xplaneVersion, int* xplmVersion,
-                                 int* xplraVersion)
+extern "C" int xplra_get_versions(int connectionID,
+                                  int* xplaneVersion, int* xplmVersion,
+                                  int* xplraVersion)
 {
     Connection* connection = ConnectionSlot::getValue(connectionID);
Index: src/plugin/src/xplra/MessageWindow.h
===================================================================
--- src/plugin/src/xplra/MessageWindow.h	(revision 51)
+++ src/plugin/src/xplra/MessageWindow.h	(revision 92)
@@ -98,10 +98,10 @@
      * started to be scrolled, if it should be scrolled.
      */
-    static const float scrollTimeout = 1.0;
+    static constexpr float scrollTimeout = 1.0;
 
     /**
      * The amount of time in seconds between each character step.
      */
-    static const float scrollInterval = 0.1;
+    static constexpr float scrollInterval = 0.1;
 
 private:
Index: src/plugin/src/xplra/Protocol.h
===================================================================
--- src/plugin/src/xplra/Protocol.h	(revision 81)
+++ src/plugin/src/xplra/Protocol.h	(revision 92)
@@ -259,5 +259,5 @@
      * The maximal message duration
      */
-    static const float MAX_MESSAGE_DURATION = 5*60;
+    static constexpr float MAX_MESSAGE_DURATION = 5*60;
 
     /**
Index: src/plugin/src/xplra/RequestQueue.h
===================================================================
--- src/plugin/src/xplra/RequestQueue.h	(revision 13)
+++ src/plugin/src/xplra/RequestQueue.h	(revision 92)
@@ -76,5 +76,5 @@
      * The interval of the flight loop.
      */
-    static const float flightLoopInterval = 0.1;
+    static constexpr float flightLoopInterval = 0.1;
 #endif
 
